import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, f = Object.getOwnPropertyDescriptor, c = (n, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? f(r, s) : r, o = n.length - 1, p; o >= 0; o--)
    (p = n[o]) && (e = (t ? p(r, s, e) : p(e)) || e);
  return t && e && m(r, s, e), e;
};
let i = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--gridViewLarge", this.class = "c-pieIcon c-pieIcon--gridViewLarge", this.name = "IconGridViewLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--gridViewLarge"><path d="M14.25 14.25H4.625V4.625h9.625zM6.375 12.5H12.5V6.375H6.375zm21 1.75H17.75V4.625h9.625zM19.5 12.5h6.125V6.375H19.5zm-5.25 14.875H4.625V17.75h9.625zm-7.875-1.75H12.5V19.5H6.375zm21 1.75H17.75V17.75h9.625zm-7.875-1.75h6.125V19.5H19.5z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], i.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = c([
  g("icon-grid-view-large")
], i);
export {
  i as IconGridViewLarge
};
